%def_enable static
%def_enable shared
%def_with pic

%def_with xql
#----------------------------------------------------------------------

Name: xbsql
%define Name XBSQL
%define lname lib%name
Version: 0.11
Release: alt3
Summary: An SQL wrapper for Xbase
Summary(uk_UA.CP1251): SQL-  Xbase
Summary(ru_RU.CP1251): SQL-  Xbase
License: LGPL
Group: Databases
URL: http://www.quaking.demon.co.uk/%name/
Source: %name-%version.tar.bz2
Patch0: %name-0.11-configure.patch.gz
Patch1: %name-0.11-namespace.patch.gz

# Automatically added by buildreq on Tue Aug 15 2006
BuildRequires: gcc-c++ libncurses-devel libreadline-devel awk
BuildRequires: libxbase-devel >= 1.8.1

%description
%Name is a wrapper library which provides an SQL-subset interface to
Xbase DBMS.

%description -l uk_UA.CP1251
%Name -  -,     SQL
 Xbase DBMS.

%description -l ru_RU.CP1251
%Name -  -,   
 SQL  Xbase DBMS.


%if_with xql
%package -n xql
Summary: CLI client for %Name
Summary(uk_UA.CP1251): CLI-볺  %Name
Summary(ru_RU.CP1251): CLI-  %Name
Group: Databases
Provides: %name-xql = %version-%release
Obsoletes: %name
Conflicts: %name

%description -n xql
%Name is a wrapper library which provides an SQL-subset interface to
Xbase DBMS.
This package contains a simple command-line client xql which can be
used as an example.

%description -n xql -l uk_UA.CP1251
%Name -  -,     SQL
 Xbase DBMS.
    볺   xql,  
   .

%description -n xql -l ru_RU.CP1251
%Name -  -,   
 SQL  Xbase DBMS.
       xql,  
   .
%endif


%if_enabled shared
%package -n %lname
Summary: An SQL wrapper for Xbase shared library
Summary(uk_UA.CP1251):   SQL-  Xbase
Summary(ru_RU.CP1251):   SQL-  Xbase
Group: System/Libraries

%description -n %lname
%Name is a wrapper library which provides an SQL-subset interface to
Xbase DBMS.
This package contains a shared %Name library.

%description -n %lname -l uk_UA.CP1251
%Name -  -,     SQL
 Xbase DBMS.
     %Name.

%description -n %lname -l ru_RU.CP1251
%Name -  -,   
 SQL  Xbase DBMS.
     %Name.
%endif


%package -n %lname-devel
Summary: Headers for %lname
Summary(uk_UA.CP1251):   %lname
Summary(ru_RU.CP1251):   %lname
Group: Development/Other
Requires: libxbase-devel >= 1.8.1
Requires: %lname%{?_disable_shared:-devel-static} = %version-%release

%description -n lib%name-devel
%Name is a wrapper library which provides an SQL-subset interface to
Xbase DBMS.
This package contains headers for %lname.

%description -n %lname-devel -l uk_UA.CP1251
%Name -  -,     SQL
 Xbase DBMS.
     %Name.

%description -n %lname-devel -l ru_RU.CP1251
%Name -  -,   
 SQL  Xbase DBMS.
     %Name.



%if_enabled static
%package -n %lname-devel-static
Summary: Static library for devel with %lname
Summary(uk_UA.CP1251):      %Name
Summary(ru_RU.CP1251):      %Name
Group: Development/Other
Requires: %lname%{?_disable_shared:-devel-static} = %version-%release

%description -n lib%name-devel-static
%Name is a wrapper library which provides an SQL-subset interface to
Xbase DBMS.
This package contains a static library for devel with %lname.

%description -n %lname-devel-static -l uk_UA.CP1251
%Name -  -,     SQL
 Xbase DBMS.
        %Name.

%description -n %lname-devel-static -l ru_RU.CP1251
%Name -  -,   
 SQL  Xbase DBMS.
        %Name.
%endif


%prep
%setup -q
%patch0 -p1 -b .orig
%patch1 -p1
touch -r configure.in.orig configure.in


%build
%configure \
    %{subst_enable shared} \
    %{subst_enable static} \
    %{subst_with pic}

%make_build CFLAGS="%optflags" CXXFLAGS="%optflags"


%install
%make_install DESTDIR=%buildroot install
%{?_without_xql:rm -rf %buildroot%_bindir}


%if_enabled shared
%post -n %lname -p %post_ldconfig
%postun -n %lname -p %postun_ldconfig
%endif


%if_with xql
%files -n xql
%_bindir/*
%endif


%if_enabled shared
%files -n %lname
%_libdir/*.so.*
%endif


%files -n %lname-devel
%doc doc/* README AUTHORS TODO Announce
%_includedir/*
%{?_enable_shared:%_libdir/*.so}


%if_enabled static
%files -n %lname-devel-static
%_libdir/*.a
%endif

%changelog
* Wed Sep 13 2006 Led <led@altlinux.ru> 0.11-alt3
- replaced xbsql-0.11-ncurses64.patch and dumb
  xbsql-0.11-ncurses64.patch with xbsql-0.11-configure.patch

* Tue Sep 12 2006 Led <led@altlinux.ru> 0.11-alt2
- fixed/cleaned up spec
- fixed License
- added xbsql-0.11-ncurses64.patch (from FC5)
- added xbsql-0.11-namespace.patch
- added xbsql-0.11-version.patch
- fixed Summaries and descriptions
- added ukrainian and russian Summaries and descriptions
- replaced package %name with xql

* Fri Dec 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.11-alt1.1
- Rebuilt with libreadline.so.5.

* Sat Jun 18 2005 Vitaly Lipatov <lav@altlinux.ru> 0.11-alt1
- first build for ALT Linux Sisyphus

* Sat Jun 5 2004 Spencer Anderson <sdander@oberon.ark.com> 0.11-5mdk
- correct %%Summary

* Sat Jun 5 2004 Spencer Anderson <sdander@oberon.ark.com> 0.11-4mdk
- rebuild
- spec cleaning

* Sun Jan 4 2004 Spencer Anderson <sdander@oberon.ark.com> 0.11-3mdk
- buildrequires libreadline-devel
- move some libs

* Thu Dec 25 2003 Spencer Anderson <sdander@oberon.ark.com> 0.11-2mdk
- include missing libraries
- buildrequires and requires

* Tue Nov 18 2003 Spencer Anderson <sdander@oberon.ark.com> 0.11-1mdk
- initial Mandrake release
- needed by rekall
